commit:     17a5b8e0de4be077cf57d2f63bfc6b0124d40eb8
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 14 17:08:24 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Feb 14 17:08:24 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=17a5b8e0

sci-misc/simx: Bump to EAPI=6

* Use git-r3.eclass

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-misc/simx/simx-0.2.ebuild  | 24 ++++++++++--------------
 sci-misc/simx/simx-9999.ebuild | 27 ++++++++++++---------------
 2 files changed, 22 insertions(+), 29 deletions(-)

diff --git a/sci-misc/simx/simx-0.2.ebuild b/sci-misc/simx/simx-0.2.ebuild
index 232de1a..3dd4e3e 100644
--- a/sci-misc/simx/simx-0.2.ebuild
+++ b/sci-misc/simx/simx-0.2.ebuild
@@ -1,27 +1,20 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
 PYTHON_COMPAT=( python2_7 )
 
 inherit cmake-utils distutils-r1
 
-if [ "${PV}" = "9999" ]; then
-       EGIT_REPO_URI="git://github.com/sim-x/${PN}.git 
http://github.com/sim-x/${PN}.git";
-       inherit git-2
-       KEYWORDS=""
-else
-       SRC_URI="https://github.com/sim-x/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-       KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="a library for developing parallel, discrete-event simulations in 
Python"
+DESCRIPTION="Library for developing parallel, discrete-event simulations in 
Python"
 HOMEPAGE="https://github.com/sim-x";
+SRC_URI="https://github.com/sim-x/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 SLOT="0"
 LICENSE="LGPL-2.1"
+KEYWORDS="~amd64"
 IUSE=""
 
 RDEPEND="
@@ -31,7 +24,10 @@ RDEPEND="
 DEPEND="${RDEPEND}
        dev-util/cmake"
 
-src_prepare() {
+python_prepare_all() {
        # don't do egg install
-       sed -i 's/self.do_egg_install()/_install.install.run(self)/' setup.py 
|| die
+       sed \
+               -e 's/self.do_egg_install()/_install.install.run(self)/' \
+               -i setup.py || die
+       distutils-r1_python_prepare_all
 }

diff --git a/sci-misc/simx/simx-9999.ebuild b/sci-misc/simx/simx-9999.ebuild
index 232de1a..6054dd4 100644
--- a/sci-misc/simx/simx-9999.ebuild
+++ b/sci-misc/simx/simx-9999.ebuild
@@ -1,27 +1,21 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
 PYTHON_COMPAT=( python2_7 )
 
-inherit cmake-utils distutils-r1
+inherit cmake-utils distutils-r1 git-r3
 
-if [ "${PV}" = "9999" ]; then
-       EGIT_REPO_URI="git://github.com/sim-x/${PN}.git 
http://github.com/sim-x/${PN}.git";
-       inherit git-2
-       KEYWORDS=""
-else
-       SRC_URI="https://github.com/sim-x/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-       KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="a library for developing parallel, discrete-event simulations in 
Python"
+DESCRIPTION="Library for developing parallel, discrete-event simulations in 
Python"
 HOMEPAGE="https://github.com/sim-x";
+SRC_URI=""
+EGIT_REPO_URI="git://github.com/sim-x/${PN}.git 
http://github.com/sim-x/${PN}.git";
 
 SLOT="0"
 LICENSE="LGPL-2.1"
+KEYWORDS=""
 IUSE=""
 
 RDEPEND="
@@ -31,7 +25,10 @@ RDEPEND="
 DEPEND="${RDEPEND}
        dev-util/cmake"
 
-src_prepare() {
+python_prepare_all() {
        # don't do egg install
-       sed -i 's/self.do_egg_install()/_install.install.run(self)/' setup.py 
|| die
+       sed \
+               -e 's/self.do_egg_install()/_install.install.run(self)/' \
+               -i setup.py || die
+       distutils-r1_python_prepare_all
 }

Reply via email to